View Issue Details

IDProjectCategoryView StatusLast Update
0001677Industrial-Craft²machinespublic2015-07-28 18:05
ReporterprocommanderAssigned ToAroma1997 
PrioritynormalSeveritymajorReproducibilityalways
Status resolvedResolutionfixed 
Product Version 
Target VersionFixed in VersionBuilds for MC 1.7.10 
Summary0001677: Thermal Centrifuge can't restore ANY item and heat in it after exit in single player mode
Descriptionit "ate" at least 3 upgrade chips of mine

tested on version 755/756
TagsNo tags attached.
Minecraft Version

Relationships

duplicate of 0001655 resolvedAroma1997 2 bugs 

Activities

Chocohead

2015-07-25 10:37

developer   ~0004027

Presuming this is the redstone signal inverter upgrade that's disappearing, related to 0001648

procommander

2015-07-25 13:27

reporter   ~0004028

Last edited: 2015-07-25 13:30

View 2 revisions

@Chocohead
not only redstone signal inverter upgrade, but all items in it, including upgrade chips, raw materials, products, even heat point.
and, it's not build 751/752 but 755/756

Chocohead

2015-07-25 14:34

developer   ~0004029

If a redstone signal inverter upgrade is in a machine, in any version after 751, the entire machine inventory will be wiped on world/server reload. That is an anti-corruption measure to allow a world to load.

procommander

2015-07-25 15:32

reporter   ~0004030

@Chocohead
nope, i've never used redstone signal inverter upgrade, and all items in thermal centrifuge is lost too

Chocohead

2015-07-25 18:13

developer   ~0004035

If there's no mention of anything in the logs when starting the world up, it could be the thermal centrifuge just doesn't like getting redstone. I'll try testing it a bit.

Chocohead

2015-07-25 18:35

developer   ~0004036

Right, after testing I can replicate this, going to try to see if it's just with redstone being applied or whether the machine is totally broken. When I spawned in it was (and still is) on it's side, which proves that it's information has not been saved/loaded correctly.

Chocohead

2015-07-25 18:54

developer   ~0004037

From indepth testing, it seems that any upgrade in the Thermal Centrifuge breaks it on world load. Applying a redstone signal to it with a lever for example however has no such effect.

procommander

2015-07-26 01:57

reporter   ~0004038

[09:56:14] [Server thread/ERROR] [FML]: A TileEntity Thermal Centrifuge(ic2.core.block.machine.tileentity.TileEntityCentrifuge) has thrown an exception during loading, its state cannot be restored. Report this to the mod author
java.lang.NullPointerException
    at ic2.core.block.comp.Redstone.update(Redstone.java:27) ~[Redstone.class:?]
    at ic2.core.block.comp.Redstone.setRedstoneModifier(Redstone.java:48) ~[Redstone.class:?]
    at ic2.core.block.invslot.InvSlotUpgrade.onChanged(InvSlotUpgrade.java:71) ~[InvSlotUpgrade.class:?]
    at ic2.core.block.invslot.InvSlot.put(InvSlot.java:121) ~[InvSlot.class:?]
    at ic2.core.block.invslot.InvSlot.readFromNbt(InvSlot.java:80) ~[InvSlot.class:?]
    at ic2.core.block.TileEntityInventory.func_145839_a(TileEntityInventory.java:57) ~[TileEntityInventory.class:?]
    at ic2.core.block.machine.tileentity.TileEntityElectricMachine.func_145839_a(TileEntityElectricMachine.java:57) ~[TileEntityElectricMachine.class:?]
    at ic2.core.block.machine.tileentity.TileEntityStandardMachine.func_145839_a(TileEntityStandardMachine.java:60) ~[TileEntityStandardMachine.class:?]
    at ic2.core.block.machine.tileentity.TileEntityCentrifuge.func_145839_a(TileEntityCentrifuge.java:96) ~[TileEntityCentrifuge.class:?]
    at net.minecraft.tileentity.TileEntity.func_145827_c(TileEntity.java:116) [aor.class:?]
    at net.minecraft.world.chunk.storage.AnvilChunkLoader.loadEntities(AnvilChunkLoader.java:496) [aqk.class:?]
    at net.minecraftforge.common.chunkio.ChunkIOProvider.callStage2(ChunkIOProvider.java:41) [ChunkIOProvider.class:?]
    at net.minecraftforge.common.chunkio.ChunkIOProvider.callStage2(ChunkIOProvider.java:12) [ChunkIOProvider.class:?]
    at net.minecraftforge.common.util.AsynchronousExecutor.skipQueue(AsynchronousExecutor.java:344) [AsynchronousExecutor.class:?]
    at net.minecraftforge.common.util.AsynchronousExecutor.getSkipQueue(AsynchronousExecutor.java:302) [AsynchronousExecutor.class:?]
    at net.minecraftforge.common.chunkio.ChunkIOExecutor.syncChunkLoad(ChunkIOExecutor.java:12) [ChunkIOExecutor.class:?]
    at net.minecraft.world.gen.ChunkProviderServer.loadChunk(ChunkProviderServer.java:126) [ms.class:?]
    at net.minecraft.world.gen.ChunkProviderServer.func_73158_c(ChunkProviderServer.java:101) [ms.class:?]
    at net.minecraft.server.MinecraftServer.func_71222_d(MinecraftServer.java:265) [MinecraftServer.class:?]
    at net.minecraft.server.integrated.IntegratedServer.func_71247_a(IntegratedServer.java:130) [bsx.class:?]
    at net.minecraft.server.integrated.IntegratedServer.func_71197_b(IntegratedServer.java:153) [bsx.class:?]
    at net.minecraft.server.MinecraftServer.run(MinecraftServer.java:387) [MinecraftServer.class:?]
    at net.minecraft.server.MinecraftServer$2.run(MinecraftServer.java:685) [?:?]

Chocohead

2015-07-26 09:47

developer   ~0004039

If that's been thrown then it's definitely related to 0001648

procommander

2015-07-26 10:33

reporter   ~0004040

will try more mechines

Issue History

Date Modified Username Field Change
2015-07-25 10:16 procommander New Issue
2015-07-25 10:37 Chocohead Note Added: 0004027
2015-07-25 13:27 procommander Note Added: 0004028
2015-07-25 13:30 procommander Note Edited: 0004028 View Revisions
2015-07-25 14:34 Chocohead Note Added: 0004029
2015-07-25 15:32 procommander Note Added: 0004030
2015-07-25 18:13 Chocohead Note Added: 0004035
2015-07-25 18:35 Chocohead Note Added: 0004036
2015-07-25 18:54 Chocohead Note Added: 0004037
2015-07-26 01:57 procommander Note Added: 0004038
2015-07-26 09:47 Chocohead Note Added: 0004039
2015-07-26 10:33 procommander Note Added: 0004040
2015-07-26 13:53 Aroma1997 Relationship added duplicate of 0001655
2015-07-28 18:05 Aroma1997 Status new => resolved
2015-07-28 18:05 Aroma1997 Fixed in Version => Builds for MC 1.7.10
2015-07-28 18:05 Aroma1997 Resolution open => fixed
2015-07-28 18:05 Aroma1997 Assigned To => Aroma1997